[arch-commits] Commit in snes9x/trunk (PKGBUILD snes9x-1.51-glibc2.10.patch)

Andrea Scarpino andrea at archlinux.org
Tue Jan 19 15:07:05 EST 2010


    Date: Tuesday, January 19, 2010 @ 15:07:05
  Author: andrea
Revision: 64333

upgpkg: snes9x 1.52-1
    libpng rebuild

Modified:
  snes9x/trunk/PKGBUILD
Deleted:
  snes9x/trunk/snes9x-1.51-glibc2.10.patch

-----------------------------+
 PKGBUILD                    |   46 ++++++++++++------------------------------
 snes9x-1.51-glibc2.10.patch |   13 -----------
 2 files changed, 14 insertions(+), 45 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-19 20:01:25 UTC (rev 64332)
+++ PKGBUILD	2010-01-19 20:07:05 UTC (rev 64333)
@@ -1,49 +1,31 @@
 # $Id$
-# Maintainer: Alexander Baldeck <alexander at archlinux.org>
+# Maintainer:
+# Contributor: Alexander Baldeck <alexander at archlinux.org>
 
 pkgname=snes9x
-pkgver=1.51
-pkgrel=2
+pkgver=1.52
+pkgrel=1
 pkgdesc="A portable Emulator for the Super Nintento Entertainment System"
 arch=('i686' 'x86_64')
 url="http://www.snes9x.com"
 license=('custom')
-# remove nasm on non x86 platforms
-depends=('zlib' 'libpng' 'sdl' 'nasm' 'mesa')
-source=(http://www.geocities.co.jp/SiliconValley-PaloAlto/2560/release/${pkgname}-${pkgver}-src.tar.bz2
-        snes9x-1.51-glibc2.10.patch
-        LICENSE)
-md5sums=('a1038cc761f400318cdced960972f8a7'
-         '181db31b84b8f3f7f16b4fb11dc043cc'
+depends=('zlib' 'libpng>=1.4.0' 'sdl' 'mesa')
+[ "${CARCH}" = "x86_64" ] && depends=(${depends[@]} 'nasm')
+makedepends=('intltool')
+source=(http://www.caitsith2.com/snes9x152/${pkgname}-${pkgver}-src.tar.bz2
+        'LICENSE')
+md5sums=('813bd3a0f99732ee0238a2c8ab417725'
          '9b69c926c88c5d9b26c69b9437d6cf1d')
 
 build() {
-  install -dm755 ${pkgdir}/usr/bin
-
-  cd ${srcdir}/${pkgname}-${pkgver}-src
-  patch -Np0 -i ${srcdir}/snes9x-1.51-glibc2.10.patch || return 1
-
-  # build snes9x with opengl
+  cd ${srcdir}/${pkgname}-${pkgver}-src/unix
+  
   ./configure --prefix=/usr \
               --with-sdd1-decomp \
-              --with-opengl \
               --with-netplay
-  make || return 1
-  install -Dm755 ${srcdir}/${pkgname}-${pkgver}-src/osnes9x ${pkgdir}/usr/bin/osnes9x
-
-  # build snes9x with glide
-  #./configure --prefix=/usr --with-sdd1-decomp --with-glide
-  #make || return 1
-  #install -Dm755 ${srcdir}/${pkgname}-${pkgver}-src/osnes9x ${pkgdir}/usr/bin/3dfxsnes9x
-
-  # build snes9x without opengl
-  ./configure --prefix=/usr \
-              --with-sdd1-decomp \
-              --with-netplay
   make clean || return 1
   make || return 1
-  install -Dm755 ${srcdir}/${pkgname}-${pkgver}-src/snes9x ${pkgdir}/usr/bin/snes9x
+  install -Dm755 snes9x ${pkgdir}/usr/bin/snes9x || return 1
 
-  install -Dm644 ${srcdir}/LICENSE ${pkgdir}/usr/share/licenses/snes9x/LICENSE
+  install -Dm644 ${srcdir}/LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }
-

Deleted: snes9x-1.51-glibc2.10.patch
===================================================================
--- snes9x-1.51-glibc2.10.patch	2010-01-19 20:01:25 UTC (rev 64332)
+++ snes9x-1.51-glibc2.10.patch	2010-01-19 20:07:05 UTC (rev 64333)
@@ -1,13 +0,0 @@
---- unix/unix.cpp
-+++ unix/unix.cpp
-@@ -1162,8 +1162,8 @@
- {
-   *drive = 0;
- 
--  char *slash = strrchr(path, SLASH_CHAR);
--  char *dot = strrchr(path, '.');
-+  char *slash = strrchr((char *)path, SLASH_CHAR);
-+  char *dot = strrchr((char *)path, '.');
- 
-   if (dot && slash && dot < slash)
-   {



More information about the arch-commits mailing list